BodyParameter¶
- class oci.resource_scheduler.models.BodyParameter(**kwargs)¶
Bases:
ParameterThis is an input parameter that will be passed as HTTP request body parameter.
Attributes:
A constant which can be used with the parameter_type property of a Parameter.
A constant which can be used with the parameter_type property of a Parameter.
A constant which can be used with the parameter_type property of a Parameter.
A constant which can be used with the parameter_type property of a Parameter.
[Required] Gets the parameter_type of this Parameter.
Gets the value of this BodyParameter.
Methods:
__init__(**kwargs)Initializes a new BodyParameter object with values from keyword arguments.
get_subtype(object_dictionary)Given the hash representation of a subtype of this class, use the info in the hash to return the class of the subtype.
- PARAMETER_TYPE_BODY = 'BODY'¶
A constant which can be used with the parameter_type property of a Parameter. This constant has a value of “BODY”
- PARAMETER_TYPE_HEADER = 'HEADER'¶
A constant which can be used with the parameter_type property of a Parameter. This constant has a value of “HEADER”
- PARAMETER_TYPE_PATH = 'PATH'¶
A constant which can be used with the parameter_type property of a Parameter. This constant has a value of “PATH”
- PARAMETER_TYPE_QUERY = 'QUERY'¶
A constant which can be used with the parameter_type property of a Parameter. This constant has a value of “QUERY”
- __init__(**kwargs)¶
Initializes a new BodyParameter object with values from keyword arguments. The default value of the
parameter_typeattribute of this class isBODYand it should not be changed. The following keyword arguments are supported (corresponding to the getters/setters of this class):- Parameters
parameter_type (str) – The value to assign to the parameter_type property of this BodyParameter. Allowed values for this property are: “HEADER”, “BODY”, “PATH”, “QUERY”
value (object) – The value to assign to the value property of this BodyParameter.
- static get_subtype(object_dictionary)¶
Given the hash representation of a subtype of this class, use the info in the hash to return the class of the subtype.
- property parameter_type¶
[Required] Gets the parameter_type of this Parameter. This is the parameter type on which the input parameter is defined
Allowed values for this property are: “HEADER”, “BODY”, “PATH”, “QUERY”, ‘UNKNOWN_ENUM_VALUE’. Any unrecognized values returned by a service will be mapped to ‘UNKNOWN_ENUM_VALUE’.
- Returns
The parameter_type of this Parameter.
- Return type
str
- property value¶
Gets the value of this BodyParameter. This is the body parameter value.
- Returns
The value of this BodyParameter.
- Return type
object